Conversation Usage

Returns conversation and autonomy metrics, with breakdowns by platform, agent, channel, or tag.

GET https://api.platica.mx/v1/usage/conversations

Query parameters

ParameterTypeDescriptionRequired
workspacestringFilters the response to one workspace. If omitted, returns all accessible workspaces
startDatestringISO 8601 start date. If omitted, uses the start of the billing period
endDatestringISO 8601 end date. If omitted, uses the end of the billing period
breakdownenumBreakdown dimension: platform (default), agent, channel, or tag

Response

{
  "workspaces": [
    {
      "id": "g6yCA16pkWl5eXo7KszB",
      "name": "My company",
      "billingPeriod": {
        "startDate": "2026-06-01T00:00:00.000Z",
        "endDate": "2026-06-30T23:59:59.999Z"
      },
      "conversations": {
        "range": {
          "startDate": "2026-06-01T00:00:00.000Z",
          "endDate": "2026-06-30T23:59:59.999Z"
        },
        "freshness": {
          "source": "daily_aggregations",
          "lastUpdated": "2026-06-29T18:00:05.000Z",
          "expectedLagMinutes": 60
        },
        "summary": {
          "conversationCount": 340,
          "assistedConversationCount": 28,
          "assistanceRequestCount": 35,
          "autonomyRate": 91.76
        },
        "breakdown": {
          "dimension": "platform",
          "totals": [
            { "key": "whatsapp", "label": "WhatsApp", "value": 300 }
          ],
          "series": [
            { "date": "2026-06-29T12:00:00.000Z", "key": "whatsapp", "label": "WhatsApp", "value": 40 }
          ]
        }
      }
    }
  ],
  "workspacesCount": 1
}

Response fields

FieldDescription
idWorkspace ID
nameWorkspace name
billingPeriodActive billing period for the workspace
conversations.rangeEffective date range evaluated
conversations.summary.conversationCountTotal conversations
conversations.summary.assistedConversationCountConversations that required human assistance
conversations.summary.assistanceRequestCountAssistance requests recorded
conversations.summary.autonomyRatePercentage of conversations resolved without human assistance
conversations.breakdown.dimensionBreakdown dimension applied
conversations.breakdown.totalsPer-key totals with key, label, and value
conversations.breakdown.seriesDaily series per breakdown key
conversations.freshnessLatest update and expected lag